#include "MainWidget.h"
#include "./ui_MainWidget.h"
#include <QWebEngineView>
#include <QVBoxLayout>
#include <QMouseEvent>
#include <QString>
#include <QIcon>

MainWidget::MainWidget(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::MainWidget)
{
    ui->setupUi(this);

    setFixedSize(800, 530);
    // setMinimumSize(800, 530);
    // resize(800, 530);

    setWindowFlags(windowFlags() & ~Qt::WindowMaximizeButtonHint);
    setWindowIcon(QIcon("://resource/icons.ico"));
    setWindowTitle(u8"寿星天文历5.10Plus");

    QWebEngineView *webView = new QWebEngineView();
    QString htmlFilePath("qrc:/resource/index.html");
    webView->load(QUrl(htmlFilePath));
    QVBoxLayout* lay = new QVBoxLayout(this);
    lay->setContentsMargins(0,0,0,0);
    lay->addWidget(webView);
    setLayout(lay);
}

MainWidget::~MainWidget()
{
    delete ui;
}
